How to remap objects to Top view?

I want remap object to top view. How can do that. I use ‘TransformObjects’ but it not working.

After remapping i’m use ‘Transform Objects’ to extrude objects.The result are polysurfaces, i want make curve like before it is extruded but not.

import rhinoscriptsyntax as rs
import scriptcontext
import Rhino
objects = rs.GetObjects("Select objects to project")
if objects:
    cplane = rs.ViewCPlane()
    form = rs.XformPlanarProjection(cplane)
    obj=rs.TransformObjects( objects, xform, False )
    #For make curve
    .....

Im try used ‘rs.DuplicateEdgeCurves’ but can’t join curve be created.
Thank you watching!

Hi @xiix.xoox,

Does the RemapCPlane command do what you want? If so, then use Transform.PlaneToPlane to create a transformation from the cplane of one view ot the cplane of another.

– Dale

1 Like

Thank you!
I can’t get ‘plane’ of extrusion. How can do that?
ASS1

Can you help me? @pascal

Hello - this may be what you need -

https://developer.rhino3d.com/api/RhinoCommon/html/M_Rhino_Geometry_Extrusion_GetProfilePlane.htm

https://developer.rhino3d.com/api/RhinoCommon/html/M_Rhino_Geometry_Extrusion_GetPathPlane.htm

-Pascal

1 Like

Thank you! I try it